#include <mpi.h>
#include <stdio.h>
#include <unistd.h>

int main(int argc, char **argv){
  int myrank;
  int size;
  char hostname[1024];
  
  hostname[1023] = 0;
  gethostname(hostname, 1023);

  /* Initialize MPI */
  MPI_Init(&argc, &argv);
  
  /* Find out my identity in the default communicator */
  MPI_Comm_rank(MPI_COMM_WORLD, &myrank);

  /* Find out my total number of processors */
  MPI_Comm_size(MPI_COMM_WORLD, &size);

  /* Only one process says hello */
  printf("Hello World, I am processor %d of %d at %s...\n", myrank, size, hostname);
  fflush(NULL);
  
  /* Do clean up and finish the application */
  return MPI_Finalize();
}


